Bug 8358 - Use plasma5-decoration-rosa by default in R10
: Use plasma5-decoration-rosa by default in R10
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-21 12:32 MSD by Andrey Bondrov
Modified: 2017-10-09 10:27 MSD (History)
1 user (show)

See Also:
RPM Package: plasma5-decoration-rosa
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (271.20 KB, image/png)
2017-09-22 06:51 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-09-21 12:32:49 MSD
We have plasma5-decoration-rosa package ready. I guess we should use it by default in Plasma 5 R10.
Comment 1 Andrey Bondrov 2017-09-21 12:33:49 MSD
Advisory: "Build plasma5-decoration-rosa package"

https://abf.rosalinux.ru/build_lists/2894816
https://abf.rosalinux.ru/build_lists/2894817

Please test if there's something we can improve before setting it as the default decorator.
Comment 2 Andrey Bondrov 2017-09-22 05:17:21 MSD
Advisory: "Build plasma5-decoration-rosa package, name it as ROSA-5"

https://abf.rosalinux.ru/build_lists/2894887
https://abf.rosalinux.ru/build_lists/2894888
Comment 3 Vladimir Potapov 2017-09-22 06:51:50 MSD
Created attachment 4734 [details]
ss

Windows title not view for active window
Comment 4 Andrey Bondrov 2017-09-22 17:04:24 MSD
(In reply to comment #3)
> Created attachment 4734 [details]
> ss
> 
> Windows title not view for active window

1. Advisory: "Add default decoration colors to kdeglobals because they are not loaded from color scheme"

plasma5-config-fresh:
https://abf.rosalinux.ru/build_lists/2894924
https://abf.rosalinux.ru/build_lists/2894925

2. Advisory: "KWin should load decoration colors from both system and user's kdeglobals, not only from user's"

https://abf.rosalinux.ru/build_lists/2894926
https://abf.rosalinux.ru/build_lists/2894927
Comment 5 Andrey Bondrov 2017-09-22 19:30:16 MSD
Advisory: "Build plasma5-decoration-rosa package, name it as ROSA-5. Adjust right buttons padding a bit."

https://abf.rosalinux.ru/build_lists/2894936
https://abf.rosalinux.ru/build_lists/2894937
Comment 6 Vladimir Potapov 2017-10-03 11:40:24 MSD
The update is sent to expanded testing
*****************************************
Comment 7 Vladimir Potapov 2017-10-09 07:08:52 MSD
plasma5-config-fresh-1.7-1
https://abf.rosalinux.ru/build_lists/2894924
https://abf.rosalinux.ru/build_lists/2894925

plasma5-kwin-5.10.5-2
https://abf.rosalinux.ru/build_lists/2894926
https://abf.rosalinux.ru/build_lists/2894927


plasma5-decoration-rosa-5.9.10-1
https://abf.rosalinux.ru/build_lists/2894936
https://abf.rosalinux.ru/build_lists/2894937
******************************* Advisory *************************
Add default decoration colors to kdeglobals because they are not loaded from color scheme. KWin should load decoration colors from both system and user's kdeglobals, not only from user's. Build plasma5-decoration-rosa package, name it as ROSA-5. Adjust right buttons padding a bit.
********************************************************************
QA Verified